:root {
    --primary-color: #f2f8ff;
    --secondary-color: #ffffff;
    --accent-color: #72ff7e;
    --text-color: hsl(0, 1%, 85%);
    --light-text: #ecf0f1;
    --background: #242323;
    --sidebar-bg: #474747;
    --card-bg: #777777;
    --transition: all 0.3s ease;
    --color-regal-blue-50: #f2f8fd;
    --color-regal-blue-100: #e5eff9;
    --color-regal-blue-200: #c5def2;
    --color-regal-blue-300: #91c2e8;
    --color-regal-blue-400: #56a1da;
    --color-regal-blue-500: #3186c6;
    --color-regal-blue-600: #216aa8;
    --color-regal-blue-700: #1c5588;
    --color-regal-blue-800: #1b4971;
    --color-regal-blue-900: #1c3f60;
    --color-regal-blue-950: #12283f;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Consolas, monaco, monospace;
}

body, html {
    height: 100%;
    width: 100%;
    overflow: hidden; /* Prevent scrollbars */
    background-color: var(--background);
    color: var(--text-color);
}